Package org.bukkit.block

# Enum Class PistonMoveReaction

java.lang.Object
java.lang.Enum<PistonMoveReaction>
org.bukkit.block.PistonMoveReaction

All Implemented Interfaces:
  `Serializable`, `Comparable<PistonMoveReaction>`, `Constable`

public enum PistonMoveReaction extends Enum<PistonMoveReaction>
Represents how a block or entity will react when interacting with a piston when it is extending or retracting.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLOCK`
Indicates that the block will resist being pushed or pulled.
`BREAK`
Indicates the block is fragile and will break if pushed on.
`IGNORE`
Indicates that the entity will ignore any interaction(s) with pistons.
`MOVE`
Indicates that the block can be pushed or pulled.
`PUSH_ONLY`
Indicates that the block can only be pushed by pistons, not pulled.

## Method Summary

Modifier and Type
Method
Description
`static @Nullable PistonMoveReaction`
`getById(int id)`
Deprecated.
Magic value
`int`
`getId()`
Deprecated.
Magic value
`static PistonMoveReaction`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PistonMoveReaction[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MOVE

public static final PistonMoveReaction MOVE
Indicates that the block can be pushed or pulled.

### BREAK

public static final PistonMoveReaction BREAK
Indicates the block is fragile and will break if pushed on.

### BLOCK

public static final PistonMoveReaction BLOCK
Indicates that the block will resist being pushed or pulled.

### IGNORE

public static final PistonMoveReaction IGNORE
Indicates that the entity will ignore any interaction(s) with pistons.
Blocks should use `BLOCK`.

### PUSH_ONLY

public static final PistonMoveReaction PUSH_ONLY
Indicates that the block can only be pushed by pistons, not pulled.

## Method Details

### values

public static PistonMoveReaction[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PistonMoveReaction valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getId

@Deprecated public int getId()
Deprecated.
Magic value

Returns:
  The ID of the move reaction

### getById

@Deprecated @Nullable public static @Nullable PistonMoveReaction getById(int id)
Deprecated.
Magic value

Parameters:
  `id` - An ID
Returns:
  The move reaction with that ID